> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/tasks/get_information_about_a_specific_offers_task.md).

# Get information about a specific offer’s task

| HTTP method | Endpoint                         |
| ----------- | -------------------------------- |
| **GET**     | **/v1/offers/{offer\_id}/tasks** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field            | Type    | Description                                     |
| ---------------- | ------- | ----------------------------------------------- |
| id               | integer |                                                 |
| offer\_id        | integer | A string that uniquely identifies this offer.   |
| user\_id         | integer | Founder ID (manager ID).                        |
| modify\_status   | string  | Set status for task: active or paused           |
| execute\_time    | string  | Execution time.                                 |
| create\_time     | string  | Creation time.                                  |
| update\_time     | string  | update time.                                    |
| complete\_status | integer | Complete status： 0: uncompleted ;  1: completed |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offers/3147/tasks>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offers/3147/tasks>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_task": {
          "id": 169,
          "offer_id": 3147,
          "user_id": 1,
          "complete_status": 0,
          "create_time": "2016-04-29 10:39:07",
          "update_time": "2016-04-29 10:41:03",
          "execute_time": "2016-06-12 10:00:00",
          "modify_status": "active"
        }
      }
    }
```
